/***

The MIT License

Copyright (c) 2018 Teppei Tamra (TAM)

Permission is hereby granted, free of charge, to any person obtaining a copy
of this software and associated documentation files (the "Software"), to deal
in the Software without restriction, including without limitation the rights
to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
copies of the Software, and to permit persons to whom the Software is
furnished to do so, subject to the following conditions:

The above copyright notice and this permission notice shall be included in
all copies or substantial portions of the Software.

THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
THE SOFTWARE.

***/

#ifndef SAORITOOTWIDGET_H
#define SAORITOOTWIDGET_H

#include <QWidget>
#include <QJsonObject>

namespace Ui {
class SaoriTootWidget;
}

class SaoriTootWidget : public QWidget
{
    Q_OBJECT

public:
    explicit SaoriTootWidget(QWidget *parent = 0);
    ~SaoriTootWidget();
    void setAccountLabel(const QString label);

public slots:
    void posted(int result);

protected:
    const QString createPostData();

signals:
    void postNewStatus(const QString data);

private slots:
    void on_pushButton_commit_clicked();

private:
    Ui::SaoriTootWidget *ui;
};

#endif // SAORITOOTWIDGET_H
